Search Results for

Show / Hide Table of Contents

# Struct AssetTitle

Describes a requested title asset.

##### Inherited Members

ValueType.Equals(object)
ValueType.GetHashCode()
ValueType.ToString()
object.Equals(object, object)
object.GetType()
object.ReferenceEquals(object, object)

###### Namespace: AppstockSDK.Api.Native.Data.Request

###### Assembly: Appstock.Core.dll

##### Syntax

    [Serializable]
    public struct AssetTitle

### Fields

#### length

Gets or sets the maximum length.

##### Declaration

    [Tooltip("Maximum length of the text in the title element.\nORTB: assets[i].title.len")]
    public int length

##### Field Value

Type | Description
--- | ---
int | Maximum length of the text in the title element.

##### Remarks

Recommended to be 25, 90, or 140.

ORTB: `assets[i].title.len`

#### required

Gets or sets if asset is required.

##### Declaration

    [Tooltip("If checked, exchange will not accept a bid without this asset.\nORTB: assets[i].required")]
    public bool required

##### Field Value

Type | Description
--- | ---
bool | `true` if required (exchange will not accept a bid without it), `false` otherwise.

##### Remarks

ORTB: `assets[i].required`